import java.awt.event.*;
import java.awt.*;

/**
 * Die Klasse AboutBox generiert die GUI einer InfoBox.
 * 
 * @author (Marc A. Modrow) 
 * @version (9.02.08)
 */
class AboutBox extends Dialog implements WindowListener, ActionListener {

    AboutBox(Frame owner){
        super(owner, "ber Boulder Dash", true);
        addWindowListener(this);
        
        setLayout(new GridLayout(4,1));
        add(new Label("Boulder Dash", Label.CENTER));
        add(new Label("Von Marc A. Modrow", Label.CENTER));
        add(new Label("Version vom 09.02.2008", Label.CENTER));
        Button b = new Button("OK");
        b.addActionListener(this);
        add(b);
        
        Rectangle r = owner.getBounds();
        setBounds(r.x + r.width/2 - 100, r.y + r.height/2-60, 200,120);
        setVisible(true);
    }
    
    public void windowClosing(WindowEvent e){
        dispose();
    }
    public void windowClosed(WindowEvent e){}
    public void windowOpening(WindowEvent e){}
    public void windowOpened(WindowEvent e){}
    public void windowIconified(WindowEvent e){}
    public void windowDeiconified(WindowEvent e){}        
    public void windowActivated(WindowEvent e){}
    public void windowDeactivated(WindowEvent e){}
    
    public void actionPerformed(ActionEvent e){
        if(e.getActionCommand().equals("OK")){
            windowClosing(null);
        }
    }
}
