@echo off 
echo JarBatch - Erzeugen von .jar-Dateien 
echo.
 
rem * Hier den Pfad zum SDK setzen! 
set path=.;C:\j2sdk1.4.2_04\bin 

rem * Manifestdatei vorbereiten und erzeugen. 
echo Manifest-Version: 1.0>manifest.mf 

rem * Bitte ClassPath hier angeben! (optional) 
echo Class-Path: .>>manifest.mf 

rem * Bitte Main-Class hier angeben! 
echo Main-Class: MeineKlasse>>manifest.mf
echo.>>manifest.mf 

if exist *.class goto create 

rem * Kompilieren, falls noch nicht geschehen. 
:compile 
if not exist *.java goto errorjava 
javac -O *.java 

rem * Jar-Datei erzeugen. 
:create 
if not exist *.class goto errorjar
 
rem * Bitte Name der zu erstellenden jar-Datei hier angeben! 
rem * Beispiel: jar cfvm ArchivName.jar manifest.mf *.class images sounds 
rem * fgt ein Manifest, alle class-Dateien und die Verzeichnisse images und sounds in ArchivName.jar ein. 
jar cfvm MeinProgramm.jar manifest.mf *.* 

echo Komplettes Projekt incl. Quellcode-Dateien dem jar-Archiv hinzugefgt. 
goto end 

:errorjava 
echo java-Dateien nicht gefunden! 
echo class-Dateien konnten nicht erstellt werden. 

:errorjar 
echo class-Dateien konnten nicht gefunden werden! 
echo jar-Archiv konnte nicht erstellt werden. 

:end 
rem Manifest von Festplatte lschen 
del manifest.mf 

rem Konsole fr Ausgaben geffnet lassen 
echo. 
pause